# Cinder

# cinder::SurfaceT< T >::ConstIter Class Reference

`#include <Surface.h>`

List of all members.

## Public Member Functions
| ConstIter (const Iter &iter)
| ConstIter (const SurfaceT< T > &SurfaceT, const Area &area)
const T & | r () const
const T & | g () const
const T & | b () const
const T & | a () const
const T & | r (int32_t xOff, int32_t yOff) const
const T & | g (int32_t xOff, int32_t yOff) const
const T & | b (int32_t xOff, int32_t yOff) const
const T & | a (int32_t xOff, int32_t yOff) const
const T & | rClamped (int32_t xOff, int32_t yOff) const
const T & | gClamped (int32_t xOff, int32_t yOff) const
const T & | bClamped (int32_t xOff, int32_t yOff) const
const T & | aClamped (int32_t xOff, int32_t yOff) const
const int32_t | x () const
const int32_t | y () const
Vec2i | getPos () const
bool | pixel ()
bool | line ()
int32_t | getWidth () const
int32_t | getHeight () const
## Public Attributes
uint8_t | mRedOff
uint8_t | mGreenOff
uint8_t | mBlueOff
uint8_t | mAlphaOff
uint8_t | mInc
const uint8_t * | mLinePtr
const T * | mPtr
int32_t | mRowInc
int32_t | mWidth
int32_t | mHeight
int32_t | mX
int32_t | mY
int32_t | mStartX
int32_t | mStartY
int32_t | mEndX
int32_t | mEndY

### template<typename T>
class cinder::SurfaceT< T >::ConstIter

## Constructor & Destructor Documentation

template<typename T>

cinder::SurfaceT< T >::ConstIter::ConstIter | ( | const Iter & | iter | ) |

template<typename T>

cinder::SurfaceT< T >::ConstIter::ConstIter | ( | const SurfaceT< T > & | SurfaceT,
|  | const Area & | area |
| ) |  |  |

## Member Function Documentation

template<typename T>

const T& cinder::SurfaceT< T >::ConstIter::r | ( |  | ) | const

template<typename T>

const T& cinder::SurfaceT< T >::ConstIter::g | ( |  | ) | const

template<typename T>

const T& cinder::SurfaceT< T >::ConstIter::b | ( |  | ) | const

template<typename T>

const T& cinder::SurfaceT< T >::ConstIter::a | ( |  | ) | const

template<typename T>

const T& cinder::SurfaceT< T >::ConstIter::r | ( | int32_t | xOff,
|  | int32_t | yOff |
| ) |  |  | const

template<typename T>

const T& cinder::SurfaceT< T >::ConstIter::g | ( | int32_t | xOff,
|  | int32_t | yOff |
| ) |  |  | const

template<typename T>

const T& cinder::SurfaceT< T >::ConstIter::b | ( | int32_t | xOff,
|  | int32_t | yOff |
| ) |  |  | const

template<typename T>

const T& cinder::SurfaceT< T >::ConstIter::a | ( | int32_t | xOff,
|  | int32_t | yOff |
| ) |  |  | const

template<typename T>

const T& cinder::SurfaceT< T >::ConstIter::rClamped | ( | int32_t | xOff,
|  | int32_t | yOff |
| ) |  |  | const

template<typename T>

const T& cinder::SurfaceT< T >::ConstIter::gClamped | ( | int32_t | xOff,
|  | int32_t | yOff |
| ) |  |  | const

template<typename T>

const T& cinder::SurfaceT< T >::ConstIter::bClamped | ( | int32_t | xOff,
|  | int32_t | yOff |
| ) |  |  | const

template<typename T>

const T& cinder::SurfaceT< T >::ConstIter::aClamped | ( | int32_t | xOff,
|  | int32_t | yOff |
| ) |  |  | const

template<typename T>

const int32_t cinder::SurfaceT< T >::ConstIter::x | ( |  | ) | const

template<typename T>

const int32_t cinder::SurfaceT< T >::ConstIter::y | ( |  | ) | const

template<typename T>

Vec2i cinder::SurfaceT< T >::ConstIter::getPos | ( |  | ) | const

template<typename T>

bool cinder::SurfaceT< T >::ConstIter::pixel | ( |  | ) |

template<typename T>

bool cinder::SurfaceT< T >::ConstIter::line | ( |  | ) |

template<typename T>

int32_t cinder::SurfaceT< T >::ConstIter::getWidth | ( |  | ) | const

template<typename T>

int32_t cinder::SurfaceT< T >::ConstIter::getHeight | ( |  | ) | const

## Member Data Documentation

template<typename T>

uint8_t cinder::SurfaceT< T >::ConstIter::mRedOff

template<typename T>

uint8_t cinder::SurfaceT< T >::ConstIter::mGreenOff

template<typename T>

uint8_t cinder::SurfaceT< T >::ConstIter::mBlueOff

template<typename T>

uint8_t cinder::SurfaceT< T >::ConstIter::mAlphaOff

template<typename T>

uint8_t cinder::SurfaceT< T >::ConstIter::mInc

template<typename T>

const uint8_t* cinder::SurfaceT< T >::ConstIter::mLinePtr

template<typename T>

const T* cinder::SurfaceT< T >::ConstIter::mPtr

template<typename T>

int32_t cinder::SurfaceT< T >::ConstIter::mRowInc

template<typename T>

int32_t cinder::SurfaceT< T >::ConstIter::mWidth

template<typename T>

int32_t cinder::SurfaceT< T >::ConstIter::mHeight

template<typename T>

int32_t cinder::SurfaceT< T >::ConstIter::mX

template<typename T>

int32_t cinder::SurfaceT< T >::ConstIter::mY

template<typename T>

int32_t cinder::SurfaceT< T >::ConstIter::mStartX

template<typename T>

int32_t cinder::SurfaceT< T >::ConstIter::mStartY

template<typename T>

int32_t cinder::SurfaceT< T >::ConstIter::mEndX

template<typename T>

int32_t cinder::SurfaceT< T >::ConstIter::mEndY

The documentation for this class was generated from the following file:

- include/cinder/Surface.h